%define upstream_name msgpack-python
%define python3 1

Name:           python-msgpack
Version:        0.4.8
Release:        %mkrel 2
Summary:        MessagePack (de)serializer
Group:          Development/Python
License:        LGPL
URL:            https://pypi.python.org/pypi/msgpack-python
Source0:        https://pypi.python.org/packages/source/m/msgpack-python/msgpack-python-%{version}.tar.gz
BuildRequires:  %{_lib}python-devel
BuildRequires:  %{_lib}python3-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-setuptools

%description
MessagePack is a fast, compact binary serialization format, suitable for
similar data to JSON. This package provides CPython bindings for reading and
writing MessagePack data.

%if %python3
%package -n python3-msgpack
Summary:	A Python command line parser inspired by optparse
Group:          Development/Python

BuildRequires:  %{_lib}python3-devel
BuildRequires:	python3-setuptools

%description -n python3-msgpack

MessagePack is a fast, compact binary serialization format, suitable for
similar data to JSON. This package provides CPython bindings for reading and
writing MessagePack data for Python 3.

%endif

%prep
%setup -q -n %{upstream_name}-%{version}

%if %python3
cp -a . %{py3dir}
%endif

%build
%py2_build

%if %python3
%py3_build
%endif

%install
%py2_install

%if %python3
%py3_install
%endif

%files
%doc COPYING README.rst
%{python2_sitearch}/msgpack
%{python2_sitearch}/msgpack_python-%{version}-*.egg-info

%if %python3
%files -n python3-msgpack
%{python3_sitearch}/msgpack
%{python3_sitearch}/msgpack_python-%{version}-*.egg-info
%endif



%changelog
* Fri Jun 30 2017 adrianomorselli <adrianomorselli> 0.4.8-2uplos2017
- imported for uplos
